### Method

# RB RhythmDB entry_set

#### Declaration [src]

    void
    rhythmdb_entry_set (
      RhythmDB* db,
      RhythmDBEntry* entry,
      guint propid,
      const GValue* value
    )

#### Description [src]

This function can be called by any code which wishes to change a song property and send a notification. It may be called when the database is read-only; in this case the change will be queued for an unspecified time in the future. The implication of this is that `rhythmdb_entry_get()` may not reflect the changes immediately. However, if this property is exposed in the user interface, you should still make the change in the widget. Then when the database returns to a writable state, your change will take effect in the database too, and a notification will be sent at that point.

Note that you must call `rhythmdb_commit()` at some point after invoking this function, and that even after the commit, your change may not have taken effect.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

`propid`

  Type: `guint`

  The id of the property to set.

`value`

  Type: `GValue`

  The property value.

  The data is owned by the caller of the method.